Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ParameterMode.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`

Include dependency graph for ParameterMode.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ParameterMode &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ParameterMode &)

## Detailed Description

Id:
  ParameterMode.h,v 1.2 2003/10/28 18:29:19 bala Exp

This enum is used only in the IDL structs Dynamic::Parameter and CORBA::ParameterDescription.

Author:
  Jeff Parsons

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ParameterMode & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ParameterMode & |
| ) |